Subject: [Sip] Re: INVITE request after 302 response

From: "zhangwei" <[email-masked]>
Date: Fri, 16 Jun 2006 22:04:19 +0800

Hello Sumit,

Thanks for your response.

Take an example for the application.

UA1      Proxy Server    UA2    UA3
|                  |                  |         |
|---INVITE--->|                  |         |
|                  |---INVITE--> |         |
|                  |<----302 ------|         |
|<----302-------|                  |         |
|                  |                  |         |
|-----ACK---->|                  |         |
|                  |---ACK------>|         |
|---INVITE--->|                  |         |
|                  |------------INVITE---->|
|                  |<--100/180/200------|
|100/180/200|                  |         |
|                  |                  |         |
|----ACK----->|                  |         |
|                  |--------------ACK----->|

Our project need to account according to INVITE/200/ACK and BYE.  

For the instance above, we want to make two accountings. One is UA1 call UA2. The other is UA2 call UA3.

Our Proxy Server is transaction stateful. But we want that Proxy Server can obtain UA1 UA2 and UA3's info only from the second INVITE request.

How can my Proxy Server obtain UA2's info only from the second INVITE request? 

Thanks & Best regards

Zhang Wei

  ----- Original Message ----- 
  From: Sumit Dhar 
  To: zhangwei 
  Sent: Friday, June 16, 2006 7:08 PM
  Subject: Re: INVITE request after 302 response

  Hello Mr Zhang, 

  Thanks for your mail. 

  I wasnt too sure however as to where you got my contacts from. I have anyways organized a response for your question which is enclosed in my mail. 

  May I request to know more details about the project you are working on, and if we can possible collaborate . 

  Thanks & Best Regards, 

  Sumit 

  Response> 
  A typical 3261 compliant transaction stateful proxy would not be able to distinguish if an INVITE is an initial INVITE sent by a UA 
  OR was sent subsequent to the reception of a 302 response. Also, a transatcion stateful proxy need not know it. 
  An exception however is when a proxy is capable to performing recursion. In this case, the proxy would interpret the 302 response 
  by itself and send a new INVITE to the redirected contact address. 

  If however, there is a need to know that an INVITE was redirected, one option is to check the cseq number.. 
  RFC 3261 recommends that the UA uses the same call-id, from-tag, to-tag etc and just increment the cseq number for 
  a new INVITE towards the redirected address. However, this is just a recommendation and may not be adhered to by the UA. 

  --------------------------------------------------------
   Sumit Dhar           
   Segment Manager,
   Service Provider Products Business,
   Flextronics Software Systems
   (Formerly Hughes Software Systems)
   No. 18, Outer Ring Road, Panathur Post,
   Bangalore -560 087,  India               
   Phone  : +91-80-4106 7138  Fax     : +91-80-4126 6501   
   visit us at http://www.flextronicssoftware.com 

        "zhangwei" <[email-masked]> 
        06/16/2006 01:11 PM 

       To Sumit Dhar/BLR/HSS@HSS  
              cc  
              Subject INVITE request after 302 response 

  Hi, 
    
     In SIP, 302 Moved Temporarily can be used by User Agent to set call forwarding. When the caller received 302, it should re-create a new INVITE request to forward call to a given contact. 
    
     My question is how Proxy Server detect whether INVITE is created after having received 302 response. The Proxy Server is transaction stateful. What's the difference between INVITE after 302 and the normal INVITE ? 

  Regards 
  Zhang Wei 

  ***********************  FSS- Confidential   *********************** "DISCLAIMER: This message is proprietary to Flextronics Software Systems (FSS) and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. FSS accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."
 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Attila Sipos" <[email-masked]>
Date: Fri, 16 Jun 2006 15:27:22 +0100

I am not an expert on it but maybe RFC4244 -"An Extension
to the Session Initiation Protocol (SIP) for Request History
Information" - can be used.

ftp://ftp.rfc-editor.org/in-notes/rfc4244.txt

Regards,
 
Attila
 
Attila Sipos
http://www.vegastream.com

-----Original Message-----
From: zhangwei [mailto:[email-masked]]
Sent: 16 June 2006 15:04
To: Sumit Dhar; [email-masked]; Lei Weimin
Subject: [Sip] Re: INVITE request after 302 response

Hello Sumit,

 
UA1      Proxy Server    UA2    UA3
|                  |                  |         |
|---INVITE--->|                  |         |
|                  |---INVITE--> |         |
|                  |<----302 ------|         |
|<----302-------|                  |         |
|                  |                  |         |
|-----ACK---->|                  |         |
|                  |---ACK------>|         |
|---INVITE--->|                  |         |

 

Thanks & Best regards
 
Zhang Wei

----- Original Message ----- 
From: Sumit Dhar <mailto:[email-masked]>  
To: zhangwei <mailto:[email-masked]>  
Sent: Friday, June 16, 2006 7:08 PM
Subject: Re: INVITE request after 302 response

Hello Mr Zhang, 

Thanks for your mail. 

Thanks & Best Regards, 

Sumit 

Response> 

06/16/2006 01:11 PM 

To
Sumit Dhar/BLR/HSS@HSS 

cc

Subject
INVITE request after 302 response	

Hi, 

Regards 
Zhang Wei 

***********************  FSS- Confidential   *********************** 

"DISCLAIMER: This message is proprietary to Flextronics Software Systems (FSS) and is intended solely for the use of

---

From: "Attila Sipos" <[email-masked]>
Date: Fri, 16 Jun 2006 15:32:08 +0100

I think "Appendix B. Voicemail" has an example that
may be useful for you....

   UA1          Proxy           UA-A         UA-B        UA-VM

   |              |              |             |          |
   |--INVITE F1-->|              |             |          |
   |              |              |             |          |
   |              |--INVITE F2-->|             |          |
   |<--100 F3-----|              |             |          |
   |              |<-302 F4------|             |          |
   |              |              |             |          |
   |              |--------INVITE F5---------->|          |
   |              |              |             |          |
   |              |<--------180 F6-------------|          |
   |<---180 F7----|              |             |          |
   |  . . .       |              |             |          |
   |              |------retransmit INVITE---->|          |
   |  . . .       |              |             |          |
   |              |       (timeout)            |          |
   |              |              |             |          |
   |              |-------INVITE F8---------------------->|
   |              |              |             |          |
   |              |<-200 F9-------------------------------|
   |              |              |             |          |
   |<-200 F10-----|              |             |          |
   |              |              |             |          |
   |--ACK F11-------------------------------------------->|

Regards,

Attila

-----Original Message-----
From: Attila Sipos 
Sent: 16 June 2006 15:27
To: 'zhangwei'; Sumit Dhar; [email-masked]; Lei Weimin
Subject: RE: [Sip] Re: INVITE request after 302 response

Regards,

Attila

Attila Sipos

-----Original Message-----
From: zhangwei [mailto:[email-masked]]
Sent: 16 June 2006 15:04
To: Sumit Dhar; [email-masked]; Lei Weimin
Subject: [Sip] Re: INVITE request after 302 response

Hello Sumit,

UA1      Proxy Server    UA2    UA3
|                  |                  |         |
|---INVITE--->|                  |         |
|                  |---INVITE--> |         |
|                  |<----302 ------|         |
|<----302-------|                  |         |
|                  |                  |         |
|-----ACK---->|                  |         |
|                  |---ACK------>|         |
|---INVITE--->|                  |         |

Thanks & Best regards

Zhang Wei

----- Original Message ----- 
From: Sumit Dhar 
To: zhangwei 
Sent: Friday, June 16, 2006 7:08 PM
Subject: Re: INVITE request after 302 response

Hello Mr Zhang, 

Thanks for your mail. 

Thanks & Best Regards, 

Sumit 

Response> 

"zhangwei" <[email-masked]> 
06/16/2006 01:11 PM 
ToSumit Dhar/BLR/HSS@HSS 
cc
SubjectINVITE request after 302 response

Hi, 

Regards 
Zhang Wei

---

From: Rayees Khan <[email-masked]>
Date: Mon, 19 Jun 2006 13:44:00 +0530

I fully agree that it should have same 'To' header as is recomended in RFC 3261 section 8.1.3.4
However, it is recomendataion and not a MUST. It does carry on to mention that Call-ID may be changed. Nothing is mentioned about other headers.

In practice, many UACs start a new dialog altogather with request line and To header populated with URI received in 302 response.

regards
Rayees

-----"Nataraju A B" <[email-masked]> wrote: -----

To: Rayees Khan/HSS@HSS, "'zhangwei'" <[email-masked]>
From: "Nataraju A B" <[email-masked]>
Date: 06/19/2006 07:19AM
cc: <[email-masked]>, Sumit Dhar/BLR/HSS@HSS, "'Lei Weimin'" <[email-masked]>
Subject: RE: [Sip] Re: INVITE request after 302 response

Thanks & Regards,

Nataraju A.B.

-----Original Message-----
From:

Rayees
Khan
[mailto:[email-masked]
]
Sent
:

Sunday, June 18, 2006

9:44 PM

To:
zhangwei
Cc:
[email-masked]; Sumit Dhar; Lei
Weimin
Subject:
Re: [Sip] Re: INVITE
request after 302 response

Hi
Mr Zhang,

As far as I understand the behaviour of UAs the normal procedure is that on
receiving 302 response the UA would extract the information from contact of 302
and put it into request line of new INVITE. The INVITE that would be generated
by UA as a result of this redirection would have UA3 in request line and UA2 in
'To' header. However, it is not mandatory, and UA can choose to change both.
One of the ways I can think of is to have some kind of intelligence in proxy to
keep track of the 302 responses that are proxied. The INVITE generated form
these UAs after 302 are most likely to be result of 302, though again there is
no guarantee. Additionally, one more interesting point is that the
From
header is likely to be retained.

[ABN] if the INVITE
is generated because of 302, then the new INVITE would have the same TO header
which was there in the received request. Otherwise this might lead to dialog
match in the UAC once final response received from UA3 by UAC (UA1). Only R-URI
would be changed with the contact address received in the 302 response.

regards

Rayees

-----"zhangwei"
<[email-masked]> wrote: -----

To: Sumit
Dhar/BLR/HSS@HSS, <[email-masked]>, "Lei Weimin"
<[email-masked]>
From: "zhangwei" <[email-masked]>
Date: 06/16/2006 03:04PM
Subject: [Sip] Re: INVITE request after 302 response

Hello Sumit,

UA1      Proxy
Server    UA2    UA3

|

|
|         |

|---INVITE--->|
|         |

|
|---
INVITE
-->
|         |

|
|<----302 ------|         |

|<----302-------|
|
|

|

|
|
|

|-----ACK---->|
|         |

|
|---ACK------>|         |

|---INVITE--->|
|         |

|
|------------
INVITE
---->|

|
|<--100/180/200------|

|100/180/200|
|
|

|
|
|
|

|----ACK----->|
|         |

|
|--------------ACK----->|

Our project need to account according to INVITE/200/ACK and
BYE.

For the instance above, we want to make two accountings. One
is UA1 call UA2. The other is UA2 call UA3.

Our Proxy Server is transaction stateful. But we want that
Proxy Server can obtain UA1 UA2 and UA3's info only from the second INVITE
request.

How can my Proxy Server obtain UA2's info only from the
second INVITE request?

Thanks & Best regards

Zhang Wei

----- Original Message -----

From:
Sumit Dhar

To:
zhangwei

Sent:
Friday, June 16,
2006 7:08 PM

Subject:
Re: INVITE request
after 302 response

Hello Mr Zhang,

Thanks
for your mail.

I
wasnt too sure however as to where you got my contacts from. I have anyways
organized a response for your question which is enclosed in my mail.

May
I request to know more details about the project you are working on, and if we
can possible collaborate .

Thanks
& Best Regards,

Sumit

Response>

A
typical 3261 compliant transaction stateful proxy would not be able to
distinguish if an INVITE is an initial INVITE sent by a UA

OR
was sent subsequent to the reception of a 302 response. Also, a transatcion
stateful proxy need not know it.

An
exception however is when a proxy is capable to performing recursion. In this
case, the proxy would interpret the 302 response

by
itself and send a new INVITE to the redirected contact address.

If
however, there is a need to know that an INVITE was redirected, one option is
to check the cseq number..

RFC
3261 recommends that the UA uses the same call-id, from-tag, to-tag etc and
just increment the cseq number for

a
new INVITE towards the redirected address. However, this is just a
recommendation and may not be adhered to by the UA.

"zhangwei"
<[email-masked]>

06/16/2006 01:11 PM

To

Sumit Dhar/BLR/HSS@HSS

cc

Subject

Hi,

In SIP, 302 Moved Temporarily can be used by User Agent to set call
forwarding. When the caller received 302, it should re-create a new INVITE
request to forward call to a given contact.

My question is how Proxy Server detect whether INVITE is created after
having received 302 response. The Proxy Server is transaction stateful. What's
the difference between INVITE after 302 and the normal INVITE ?

Regards

Zhang
Wei

"DISCLAIMER:
This message is proprietary to Flextronics Software Systems (FSS) and is
intended solely for the use of
the individual to whom it is addressed. It may contain privileged or
confidential information and should not be
circulated or used for any purpose other than for what it is intended. If you
have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this
message. FSS accepts no responsibility for
loss or damage arising from the use of the information transmitted by this
email including damage from virus."

_______________________________________________
Sip mailing list
https://www1.ietf.org/mailman/listinfo/sip

*****FSS-Private *****" DISCLAIMER: This message is proprietary to
Flextronics Software Systems Limited (FSS) and is intended solely for the use
of the individual to whom it is addressed. It may contain privileged or
confidential information and should not be circulated or used for any purpose
other than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. FSS accepts no
responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus."

*****FSS-Private *****" DISCLAIMER: This message is proprietary to Flextronics Software Systems Limited (FSS) and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error, please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly prohibited from using, copying, altering, or disclosing the contents of this message. FSS accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."

---

From: "Nataraju A B" <[email-masked]>
Date: Tue, 20 Jun 2006 10:37:25 +0530

This is very similar to REFER/Referred-BY scenarios. But this redirected
INVITE (from 3xx) does not have any header similar to Referred-BY
header. 
 
If we really need we can extend with referred-by, but this is again a
workaround for the problem. But we can make it workable. 
 
Thanks & Regards,
Nataraju A.B.
-----Original Message-----
From: Lei Weimin [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 5:53 AM
To: Rayees Khan
Cc: [email-masked]; Zhang Wei; Lei Weimin; [email-masked];
[email-masked]
Subject: Re: [Sip] Re: INVITE request after 302 response

Thanks for your kind response.
Just as Rayees said, I also think these is NO general solution to the
problem at present.
 
We have to find a specific solution to keep accounts for the "302
Invite"
 
Thanks a lot.

Lei Weimin
 <mailto:[email-masked]> [email-masked]
 <http://www.sipsys.com> http://www.sipsys.com  

 
From: Rayees Khan <mailto:[email-masked]>  
To: [email-masked] 
Cc: [email-masked] ; [email-masked] ; Sumit Dhar
<mailto:[email-masked]>  ; [email-masked] 
Sent: Monday, June 19, 2006 11:35 PM
Subject: RE: [Sip] Re: INVITE request after 302 response

There is no general solution to the problem at the moment. Any solution
would be implementation specific.

Since the only thing that is common in the first INVITE and re-directed
INVITE is From header and the URI in re-directed INVITE is same as
contact in 302. Something needs to be worked out form that.

regards
Rayees

-----<[email-masked]> wrote: -----
To: Rayees Khan/HSS@HSS
From: <[email-masked]>
Date: 06/19/2006 02:54PM
cc: <[email-masked]>, <[email-masked]>, Sumit
Dhar/BLR/HSS@HSS, <[email-masked]>
Subject: RE: [Sip] Re: INVITE request after 302 response
Hi Rayees, 
If CC-Diversion Header is not followed, 
what alternative do u have to indicate the info of UA2 to UA3 
when the call gets forwarded ? 
Regards, 
Rathi 
-----Original Message-----
From: Rayees Khan [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 6:14 PM
To: Rathi Kartheek (WT01 - Broadband Networks)
Cc: [email-masked]; [email-masked]; Sumit Dhar;
[email-masked]

Hi Rathi,

There are very few UAs which support draft-levy-sip-diversion so
normally, as of today, we do not see any Cc Diversion headers. However,
as I had mentioned the From header does not change for sure.

regards
Rayees

-----<[email-masked]> wrote: -----
To: <[email-masked]>, Rayees Khan/HSS@HSS,
<[email-masked]>
From: <[email-masked]>
Date: 06/19/2006 10:02AM
cc: Sumit Dhar/BLR/HSS@HSS, <[email-masked]>
Subject: RE: [Sip] Re: INVITE request after 302 response

     {mso-style-name:"Table Normal";         mso-tstyle-rowband-size:0;
mso-tstyle-colband-size:0;         mso-style-noshow:yes;
mso-style-parent:"";         mso-padding-alt:0in 5.4pt 0in 5.4pt;
mso-para-margin:0in;         mso-para-margin-bottom:.0001pt;
mso-pagination:widow-orphan;         font-size:10.0pt;
font-family:"Times New Roman";} 
Hi , 
Difference between INVITE after 302 and the normal INVITE ? and 
How can my Proxy Server obtain UA2's info only from the second INVITE
request?  1. Invite after 302 will contain an additional header called :

   CC-Diversion header which contains the contact of the person 
   who has forwarded the call. 
   That is - 302 message will contain CC-Diversion header(indicating
that it is forwarding the call). 
   This header is extracted and put in the new invite. 
   Also-  cseq number is be incremented by one. 
   Thus UA2's info is obtained by the UA3 by looking at the CC-Diversion
header. 
      
2. To header will now contain the address of the contact(UA3's URI) 
    which is received in 302.(That is to whom u r intending to forward
the call) 
3. From header is retained as it is. 
Regards, 
Rathi 

-----Original Message-----
From: Nataraju A B [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 11:49 AM
To: 'Rayees Khan'; 'zhangwei'
Cc: [email-masked]; 'Sumit Dhar'; 'Lei Weimin'
Subject: RE: [Sip] Re: INVITE request after 302 response

Thanks & Regards, 
Nataraju A.B. 
-----Original Message-----
From: Rayees Khan [mailto:[email-masked] ] 
Sent : Sunday, June 18, 2006 9:44 PM 
To: zhangwei
Cc: [email-masked]; Sumit Dhar; Lei Weimin
Subject: Re: [Sip] Re: INVITE request after 302 response 

Hi Mr Zhang, 

As far as I understand the behaviour of UAs the normal procedure is that
on receiving 302 response the UA would extract the information from
contact of 302 and put it into request line of new INVITE. The INVITE
that would be generated by UA as a result of this redirection would have
UA3 in request line and UA2 in 'To' header. However, it is not
mandatory, and UA can choose to change both. 
One of the ways I can think of is to have some kind of intelligence in
proxy to keep track of the 302 responses that are proxied. The INVITE
generated form these UAs after 302 are most likely to be result of 302,
though again there is no guarantee. Additionally, one more interesting
point is that the From header is likely to be retained. 
<!--[if !supportLineBreakNewLine]-->
<!--[endif]--> 
[ABN] if the INVITE is generated because of 302, then the new INVITE
would have the same TO header which was there in the received request.
Otherwise this might lead to dialog match in the UAC once final response
received from UA3 by UAC (UA1). Only R-URI would be changed with the
contact address received in the 302 response. 

regards 
Rayees

<!--[if !supportLineBreakNewLine]-->
<!--[endif]--> 
-----"zhangwei" <[email-masked]> wrote: ----- 
To: Sumit Dhar/BLR/HSS@HSS, <[email-masked]>, "Lei Weimin"
<[email-masked]>
From: "zhangwei" <[email-masked]>
Date: 06/16/2006 03:04PM
Subject: [Sip] Re: INVITE request after 302 response 
Hello Sumit, 

  
UA1      Proxy Server    UA2    UA3 
|                  |                  |         | 
|---INVITE--->|                  |         | 
|                  |--- INVITE --> |         | 
|                  |<----302 ------|         | 
|<----302-------|                  |         | 
|                   |                  |         | 
|-----ACK---->|                  |         | 
|                  |---ACK------>|         | 
|---INVITE--->|                  |         | 
|                  |------------ INVITE ---->| 
|                  |<--100/180/200------| 
|100/180/200|                  |         | 
|                  |                  |         | 
|----ACK----->|                  |         | 
|                  |--------------ACK----->| 

For the instance above, we want to make two accountings. One is UA1 call
UA2. The other is UA2 call UA3. 
  
Our Proxy Server is transaction stateful. But we want that Proxy Server
can obtain UA1 UA2 and UA3's info only from the second INVITE request. 
  
How can my Proxy Server obtain UA2's info only from the second INVITE
request?  

Thanks & Best regards 
  
Zhang Wei 
  
----- Original Message ----- 
From: Sumit Dhar  <mailto:[email-masked]> 
To: zhangwei  <mailto:[email-masked]> 
Sent: Friday, June 16, 2006 7:08 PM 
Subject: Re: INVITE request after 302 response 

Hello Mr Zhang, 

Thanks for your mail. 

I wasnt too sure however as to where you got my contacts from. I have
anyways organized a response for your question which is enclosed in my
mail. 

May I request to know more details about the project you are working on,
and if we can possible collaborate . 

Thanks & Best Regards, 

Sumit 

Response> 
A typical 3261 compliant transaction stateful proxy would not be able to
distinguish if an INVITE is an initial INVITE sent by a UA 
OR was sent subsequent to the reception of a 302 response. Also, a
transatcion stateful proxy need not know it. 
An exception however is when a proxy is capable to performing recursion.
In this case, the proxy would interpret the 302 response 
by itself and send a new INVITE to the redirected contact address. 

If however, there is a need to know that an INVITE was redirected, one
option is to check the cseq number.. 
RFC 3261 recommends that the UA uses the same call-id, from-tag, to-tag
etc and just increment the cseq number for 
a new INVITE towards the redirected address. However, this is just a
recommendation and may not be adhered to by the UA. 

<!--[if !supportLineBreakNewLine]-->
<!--[endif]--> 

To 
Sumit Dhar/BLR/HSS@HSS 

cc 

Subject 

Hi, 
  
   In SIP, 302 Moved Temporarily can be used by User Agent to set call
forwarding. When the caller received 302, it should re-create a new
INVITE request to forward call to a given contact. 
  
   My question is how Proxy Server detect whether INVITE is created
after having received 302 response. The Proxy Server is transaction
stateful. What's the difference between INVITE after 302 and the normal
INVITE ? 

Regards 
Zhang Wei 

"DISCLAIMER: This message is proprietary to Flextronics Software Systems
(FSS) and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or
confidential information and should not be 
circulated or used for any purpose other than for what it is intended.
If you have received this message in error, 
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of
this message. FSS accepts no responsibility for 
loss or damage arising from the use of the information transmitted by
this email including damage from virus." 
_______________________________________________
Sip mailing list   https://www1.ietf.org/mailman/listinfo/sip 
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip 

*****FSS-Private *****" DISCLAIMER: This message is proprietary to
Flextronics Software Systems Limited (FSS) and is intended solely for
the use of the individual to whom it is addressed. It may contain
privileged or confidential information and should not be circulated or
used for any purpose other than for what it is intended. If you have
received this message in error, please notify the originator
immediately. If you are not the intended recipient, you are notified
that you are strictly prohibited from using, copying, altering, or
disclosing the contents of this message. FSS accepts no responsibility
for loss or damage arising from the use of the information transmitted
by this email including damage from virus." 

The information contained in this electronic message and any attachments
to this message are intended for the exclusive use of the addressee(s)
and may contain proprietary, confidential or privileged information. If
you are not the intended recipient, you should not disseminate,
distribute or copy this e-mail. Please notify the sender immediately and
destroy all copies of this message and any attachments. 

WARNING: Computer viruses can be transmitted via email. The recipient
should check this email and any attachments for the presence of viruses.
The company accepts no liability for any damage caused by any virus
transmitted by this email.

www.wipro.com

*****FSS-Private *****" DISCLAIMER: This message is proprietary to
Flextronics Software Systems Limited (FSS) and is intended solely for
the use of the individual to whom it is addressed. It may contain
privileged or confidential information and should not be circulated or
used for any purpose other than for what it is intended. If you have
received this message in error, please notify the originator
immediately. If you are not the intended recipient, you are notified
that you are strictly prohibited from using, copying, altering, or
disclosing the contents of this message. FSS accepts no responsibility
for loss or damage arising from the use of the information transmitted
by this email including damage from virus."

The information contained in this electronic message and any attachments
to this message are intended for the exclusive use of the addressee(s)
and may contain proprietary, confidential or privileged information. If
you are not the intended recipient, you should not disseminate,
distribute or copy this e-mail. Please notify the sender immediately and
destroy all copies of this message and any attachments. 

WARNING: Computer viruses can be transmitted via email. The recipient
should check this email and any attachments for the presence of viruses.
The company accepts no liability for any damage caused by any virus
transmitted by this email.

www.wipro.com

*****FSS-Private *****" DISCLAIMER: This message is proprietary to
Flextronics Software Systems Limited (FSS) and is intended solely for
the use of the individual to whom it is addressed. It may contain
privileged or confidential information and should not be circulated or
used for any purpose other than for what it is intended. If you have
received this message in error, please notify the originator
immediately. If you are not the intended recipient, you are notified
that you are strictly prohibited from using, copying, altering, or
disclosing the contents of this message. FSS accepts no responsibility
for loss or damage arising from the use of the information transmitted
by this email including damage from virus."
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Sumit Garg" <[email-masked]>
Date: Fri, 23 Jun 2006 09:17:10 -0400

You could Use the histInfo RFC4244 (Standards Track).
 
-Sumit
 
"The reasonable man adapts himself to the world; the unreasonable one
persists in trying to adapt the world to himself. Therefore all progress
depends on the unreasonable man."
-- George Bernard Shaw

________________________________

From: Nataraju A B [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 1:07 AM
To: 'Lei Weimin'; 'Rayees Khan'
Cc: [email-masked]; [email-masked]
Subject: RE: [Sip] Re: INVITE request after 302 response

If we really need we can extend with referred-by, but this is again a
workaround for the problem. But we can make it workable... 
 
Thanks & Regards,
Nataraju A.B.
-----Original Message-----
From: Lei Weimin [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 5:53 AM
To: Rayees Khan
Cc: [email-masked]; Zhang Wei; Lei Weimin; [email-masked];

 
Thanks a lot.

Lei Weimin
[email-masked] <mailto:[email-masked]> 
http://www.sipsys.com <http://www.sipsys.com>   

 
From: Rayees Khan <mailto:[email-masked]>  
	To: [email-masked] 
	Cc: [email-masked] ; [email-masked] ; Sumit
Dhar <mailto:[email-masked]>  ; [email-masked] 
	Sent: Monday, June 19, 2006 11:35 PM
	Subject: RE: [Sip] Re: INVITE request after 302 response

	There is no general solution to the problem at the moment. Any
solution would be implementation specific.
	
	Since the only thing that is common in the first INVITE and
re-directed INVITE is From header and the URI in re-directed INVITE is
same as contact in 302. Something needs to be worked out form that.
	
	regards
	Rayees